ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package projections
  Definition Classes
    adam
- AlignmentField
- DbxrefField
- FeatureField
- FieldEnumeration
- FieldValue
- Filter
- FragmentField
- GenotypeField
- OntologyTermField
- Projection
- ReadField
- ReadGroupField
- ReferenceField
- SampleField
- SequenceField
- SliceField
- TranscriptEffectField
- VariantAnnotationField
- VariantCallingAnnotationsField
- VariantField

o

org.bdgenomics.adam.projections

# GenotypeField 

###

#### object GenotypeField extends FieldEnumeration

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GenotypeField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class SchemaVal extends Val with FieldValue

   An enumerated field that is part of this schema.

   An enumerated field that is part of this schema.

   Definition Classes
     FieldEnumeration
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable
   Definition Classes
     Enumeration

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def SchemaValue: SchemaVal
   Attributes
     protected
   Definition Classes
     FieldEnumeration
5.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
6.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
9.  val alleles: SchemaVal
10.  val alternateReadDepth: SchemaVal
11.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
14.  val end: SchemaVal
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  val expectedAlleleDosage: SchemaVal
18.  val genotypeLikelihoods: SchemaVal
19.  val genotypeQuality: SchemaVal
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def maxId: Int
    Definition Classes
      Enumeration
24.  val minReadDepth: SchemaVal
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
27.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
28.  val nonReferenceLikelihoods: SchemaVal
29.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
30.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
31.  val phaseQuality: SchemaVal
32.  val phaseSetId: SchemaVal
33.  val phased: SchemaVal
34.  val processingDescription: SchemaVal
35.  val readDepth: SchemaVal
36.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
37.  val recordSchema: Schema
    Definition Classes
      FieldEnumeration
38.  val referenceName: SchemaVal
39.  val referenceReadDepth: SchemaVal
40.  val sampleDescription: SchemaVal
41.  val sampleId: SchemaVal
42.  val splitFromMultiAllelic: SchemaVal
43.  val start: SchemaVal
44.  val strandBiasComponents: SchemaVal
45.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
46.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
47.  def values: ValueSet
    Definition Classes
      Enumeration
48.  val variant: SchemaVal
49.  val variantCallingAnnotations: SchemaVal
50.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
51.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
52.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
53.  final def withName(s: String): Value
    Definition Classes
      Enumeration

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped